Module | JSON::Ext::Generator::GeneratorMethods::String
In: | ext/json/ext/generator/generator.c

### Methods

included included to_json to_json to_json_raw to_json_raw to_json_raw_object to_json_raw_object

### Classes and Modules

Module JSON::Ext::Generator::GeneratorMethods::String::Extend

### Public Class methods

String.included(modul)

Extends modul with the String::Extend module.

String.included(modul)

Extends modul with the String::Extend module.

### Public Instance methods

to_json(*)

This string should be encoded with UTF-8 A call to this method returns a JSON string encoded with UTF16 big endian characters as \u????.

to_json(*)

This string should be encoded with UTF-8 A call to this method returns a JSON string encoded with UTF16 big endian characters as \u????.

to_json_raw(*args)

This method creates a JSON text from the result of a call to to_json_raw_object of this String.

to_json_raw(*args)

This method creates a JSON text from the result of a call to to_json_raw_object of this String.

to_json_raw_object()

This method creates a raw object hash, that can be nested into other data structures and will be generated as a raw string. This method should be used, if you want to convert raw strings to JSON instead of UTF-8 strings, e. g. binary data.

to_json_raw_object()

This method creates a raw object hash, that can be nested into other data structures and will be generated as a raw string. This method should be used, if you want to convert raw strings to JSON instead of UTF-8 strings, e. g. binary data.

[Validate]